Bug 74159 - Space issues with post-null version
Space issues with post-null version
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-16 22:05 EDT by R P Herrold
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 01:54:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-09-16 22:05:49 EDT
bash-2.05b$ rpm -q mkbootdisk
mkbootdisk-1.4.8-1

root@couch etc]# grub-install -v -v /dev/hda
grub-install (GNU GRUB 0.92)
[root@couch etc]# mkbootdisk 2.4.18-14
Insert a disk in /dev/fd0. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:

gzip: stdout: No space left on device
cat: write error: No space left on device
cat: write error: No space left on device
[root@couch etc]# cat /boot/grub/grub.conf
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/hda5
#          initrd /initrd-version.img
#boot=/dev/hda
default=0
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
title Red Hat Linux (2.4.18-14)
        root (hd0,0)
        kernel /vmlinuz-2.4.18-14 ro root=LABEL=/ hdc=ide-scsi
        initrd /initrd-2.4.18-14.img
# title DOS
#       rootnoverify (hd0,1)
#       chainloader +1
[root@couch etc]# ls -al /boot/initrd /initrd-2.4.18-14.img
ls: /boot/initrd: No such file or directory
ls: /initrd-2.4.18-14.img: No such file or directory
[root@couch etc]# ls -al /boot//initrd-2.4.18-14.img
-rw-r--r--    1 root     root       344406 Sep 16
20:14                                   /boot//initrd-2.4.18-14.img

[root@couch etc]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda5               497829    349462    122665  75% /
/dev/hda1                31079      6514     22961  23% /boot
/dev/hda9              1517920   1189524    251288  83% /home
none                    127716         0    127716   0% /dev/shm
/dev/hda8               497829      9875    462252   3% /tmp
/dev/hda6              2522048   2176648    217284  91% /usr
/dev/hda7               497829    306062    166065  65% /var
/dev/hda11            15820524  13409564   1607312  90% /var/ftp/pub/mirror
[root@couch etc]# cat /boot/grub/grub.conf
Comment 1 Jeremy Katz 2003-02-19 01:54:12 EST
There are some changes in mkbootdisk-1.5.0-1 to help this problem, but we're a
bit limited on what we can do by the size of a floppy :(

Note You need to log in before you can comment on or make changes to this bug.